Page MenuHomePhabricator

Fix: GdbRemote sends qModuleInfo but ignores unsupported response
ClosedPublic

Authored by ADodds on May 4 2015, 8:11 AM.

Details

Reviewers
clayborg
Summary

GDBRemoteCommunicationClient::GetModuleInfo sends the $qModuleInfo but only returns a fail condition and exits when it receives an error response. An unsupported response will still cause it to process the response as a valid packet. This patch will cause the GetModuleInfo function to exit and return fail if its unsupported.

Diff Detail

Repository
rL LLVM

Event Timeline

ADodds updated this revision to Diff 24881.May 4 2015, 8:11 AM
ADodds retitled this revision from to Fix: GdbRemote sends qModuleInfo but ignores unsupported response.
ADodds updated this object.
ADodds edited the test plan for this revision. (Show Details)
ADodds added a reviewer: clayborg.
ADodds set the repository for this revision to rL LLVM.
ADodds added a subscriber: Unknown Object (MLST).
clayborg accepted this revision.May 4 2015, 11:11 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.May 4 2015, 11:11 AM
ADodds closed this revision.May 27 2015, 4:04 AM

Closed by commit r236486 on 05/05/2015.